OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.FragmentShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetATIFragmentShader :: MonadIO m => m Bool
- gl_ATI_fragment_shader :: Bool
- gl_2X_BIT_ATI :: GLbitfield
- gl_4X_BIT_ATI :: GLbitfield
- gl_8X_BIT_ATI :: GLbitfield
- gl_ADD_ATI :: GLenum
- gl_BIAS_BIT_ATI :: GLbitfield
- gl_BLUE_BIT_ATI :: GLbitfield
- gl_CND0_ATI :: GLenum
- gl_CND_ATI :: GLenum
- gl_COLOR_ALPHA_PAIRING_ATI :: GLenum
- gl_COMP_BIT_ATI :: GLbitfield
- gl_CON_0_ATI :: GLenum
- gl_CON_10_ATI :: GLenum
- gl_CON_11_ATI :: GLenum
- gl_CON_12_ATI :: GLenum
- gl_CON_13_ATI :: GLenum
- gl_CON_14_ATI :: GLenum
- gl_CON_15_ATI :: GLenum
- gl_CON_16_ATI :: GLenum
- gl_CON_17_ATI :: GLenum
- gl_CON_18_ATI :: GLenum
- gl_CON_19_ATI :: GLenum
- gl_CON_1_ATI :: GLenum
- gl_CON_20_ATI :: GLenum
- gl_CON_21_ATI :: GLenum
- gl_CON_22_ATI :: GLenum
- gl_CON_23_ATI :: GLenum
- gl_CON_24_ATI :: GLenum
- gl_CON_25_ATI :: GLenum
- gl_CON_26_ATI :: GLenum
- gl_CON_27_ATI :: GLenum
- gl_CON_28_ATI :: GLenum
- gl_CON_29_ATI :: GLenum
- gl_CON_2_ATI :: GLenum
- gl_CON_30_ATI :: GLenum
- gl_CON_31_ATI :: GLenum
- gl_CON_3_ATI :: GLenum
- gl_CON_4_ATI :: GLenum
- gl_CON_5_ATI :: GLenum
- gl_CON_6_ATI :: GLenum
- gl_CON_7_ATI :: GLenum
- gl_CON_8_ATI :: GLenum
- gl_CON_9_ATI :: GLenum
- gl_DOT2_ADD_ATI :: GLenum
- gl_DOT3_ATI :: GLenum
- gl_DOT4_ATI :: GLenum
- gl_EIGHTH_BIT_ATI :: GLbitfield
- gl_FRAGMENT_SHADER_ATI :: GLenum
- gl_GREEN_BIT_ATI :: GLbitfield
- gl_HALF_BIT_ATI :: GLbitfield
- gl_LERP_ATI :: GLenum
- gl_MAD_ATI :: GLenum
- gl_MOV_ATI :: GLenum
- gl_MUL_ATI :: GLenum
- gl_NEGATE_BIT_ATI :: GLbitfield
- gl_NUM_FRAGMENT_CONSTANTS_ATI :: GLenum
- gl_NUM_FRAGMENT_REGISTERS_ATI :: GLenum
- gl_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI :: GLenum
- gl_NUM_INSTRUCTIONS_PER_PASS_ATI :: GLenum
- gl_NUM_INSTRUCTIONS_TOTAL_ATI :: GLenum
- gl_NUM_LOOPBACK_COMPONENTS_ATI :: GLenum
- gl_NUM_PASSES_ATI :: GLenum
- gl_QUARTER_BIT_ATI :: GLbitfield
- gl_RED_BIT_ATI :: GLbitfield
- gl_REG_0_ATI :: GLenum
- gl_REG_10_ATI :: GLenum
- gl_REG_11_ATI :: GLenum
- gl_REG_12_ATI :: GLenum
- gl_REG_13_ATI :: GLenum
- gl_REG_14_ATI :: GLenum
- gl_REG_15_ATI :: GLenum
- gl_REG_16_ATI :: GLenum
- gl_REG_17_ATI :: GLenum
- gl_REG_18_ATI :: GLenum
- gl_REG_19_ATI :: GLenum
- gl_REG_1_ATI :: GLenum
- gl_REG_20_ATI :: GLenum
- gl_REG_21_ATI :: GLenum
- gl_REG_22_ATI :: GLenum
- gl_REG_23_ATI :: GLenum
- gl_REG_24_ATI :: GLenum
- gl_REG_25_ATI :: GLenum
- gl_REG_26_ATI :: GLenum
- gl_REG_27_ATI :: GLenum
- gl_REG_28_ATI :: GLenum
- gl_REG_29_ATI :: GLenum
- gl_REG_2_ATI :: GLenum
- gl_REG_30_ATI :: GLenum
- gl_REG_31_ATI :: GLenum
- gl_REG_3_ATI :: GLenum
- gl_REG_4_ATI :: GLenum
- gl_REG_5_ATI :: GLenum
- gl_REG_6_ATI :: GLenum
- gl_REG_7_ATI :: GLenum
- gl_REG_8_ATI :: GLenum
- gl_REG_9_ATI :: GLenum
- gl_SATURATE_BIT_ATI :: GLbitfield
- gl_SECONDARY_INTERPOLATOR_ATI :: GLenum
- gl_SUB_ATI :: GLenum
- gl_SWIZZLE_STQ_ATI :: GLenum
- gl_SWIZZLE_STQ_DQ_ATI :: GLenum
- gl_SWIZZLE_STRQ_ATI :: GLenum
- gl_SWIZZLE_STRQ_DQ_ATI :: GLenum
- gl_SWIZZLE_STR_ATI :: GLenum
- gl_SWIZZLE_STR_DR_ATI :: GLenum
- glAlphaFragmentOp1ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glAlphaFragmentOp2ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glAlphaFragmentOp3ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glBeginFragmentShaderATI :: MonadIO m => m ()
- glBindFragmentShaderATI :: MonadIO m => GLuint -> m ()
- glColorFragmentOp1ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColorFragmentOp2ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColorFragmentOp3ATI :: MonadIO m => GLenum -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glDeleteFragmentShaderATI :: MonadIO m => GLuint -> m ()
- glEndFragmentShaderATI :: MonadIO m => m ()
- glGenFragmentShadersATI :: MonadIO m => GLuint -> m GLuint
- glPassTexCoordATI :: MonadIO m => GLuint -> GLuint -> GLenum -> m ()
- glSampleMapATI :: MonadIO m => GLuint -> GLuint -> GLenum -> m ()
- glSetFragmentShaderConstantATI :: MonadIO m => GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetATIFragmentShader :: MonadIO m => m Bool

Is the ATI_fragment_shader extension supported?

gl_ATI_fragment_shader :: Bool

Is the ATI_fragment_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIFragmentShader` in those cases instead.

# Enums

gl_2X_BIT_ATI :: GLbitfield

gl_4X_BIT_ATI :: GLbitfield

gl_8X_BIT_ATI :: GLbitfield

gl_ADD_ATI :: GLenum

gl_BIAS_BIT_ATI :: GLbitfield

gl_BLUE_BIT_ATI :: GLbitfield

gl_CND0_ATI :: GLenum

gl_CND_ATI :: GLenum

gl_COLOR_ALPHA_PAIRING_ATI :: GLenum

gl_COMP_BIT_ATI :: GLbitfield

gl_CON_0_ATI :: GLenum

gl_CON_10_ATI :: GLenum

gl_CON_11_ATI :: GLenum

gl_CON_12_ATI :: GLenum

gl_CON_13_ATI :: GLenum

gl_CON_14_ATI :: GLenum

gl_CON_15_ATI :: GLenum

gl_CON_16_ATI :: GLenum

gl_CON_17_ATI :: GLenum

gl_CON_18_ATI :: GLenum

gl_CON_19_ATI :: GLenum

gl_CON_1_ATI :: GLenum

gl_CON_20_ATI :: GLenum

gl_CON_21_ATI :: GLenum

gl_CON_22_ATI :: GLenum

gl_CON_23_ATI :: GLenum

gl_CON_24_ATI :: GLenum

gl_CON_25_ATI :: GLenum

gl_CON_26_ATI :: GLenum

gl_CON_27_ATI :: GLenum

gl_CON_28_ATI :: GLenum

gl_CON_29_ATI :: GLenum

gl_CON_2_ATI :: GLenum

gl_CON_30_ATI :: GLenum

gl_CON_31_ATI :: GLenum

gl_CON_3_ATI :: GLenum

gl_CON_4_ATI :: GLenum

gl_CON_5_ATI :: GLenum

gl_CON_6_ATI :: GLenum

gl_CON_7_ATI :: GLenum

gl_CON_8_ATI :: GLenum

gl_CON_9_ATI :: GLenum

gl_DOT2_ADD_ATI :: GLenum

gl_DOT3_ATI :: GLenum

gl_DOT4_ATI :: GLenum

gl_EIGHTH_BIT_ATI :: GLbitfield

gl_FRAGMENT_SHADER_ATI :: GLenum

gl_GREEN_BIT_ATI :: GLbitfield

gl_HALF_BIT_ATI :: GLbitfield

gl_LERP_ATI :: GLenum

gl_MAD_ATI :: GLenum

gl_MOV_ATI :: GLenum

gl_MUL_ATI :: GLenum

gl_NEGATE_BIT_ATI :: GLbitfield

gl_NUM_FRAGMENT_CONSTANTS_ATI :: GLenum

gl_NUM_FRAGMENT_REGISTERS_ATI :: GLenum

gl_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI :: GLenum

gl_NUM_INSTRUCTIONS_PER_PASS_ATI :: GLenum

gl_NUM_INSTRUCTIONS_TOTAL_ATI :: GLenum

gl_NUM_LOOPBACK_COMPONENTS_ATI :: GLenum

gl_NUM_PASSES_ATI :: GLenum

gl_QUARTER_BIT_ATI :: GLbitfield

gl_RED_BIT_ATI :: GLbitfield

gl_REG_0_ATI :: GLenum

gl_REG_10_ATI :: GLenum

gl_REG_11_ATI :: GLenum

gl_REG_12_ATI :: GLenum

gl_REG_13_ATI :: GLenum

gl_REG_14_ATI :: GLenum

gl_REG_15_ATI :: GLenum

gl_REG_16_ATI :: GLenum

gl_REG_17_ATI :: GLenum

gl_REG_18_ATI :: GLenum

gl_REG_19_ATI :: GLenum

gl_REG_1_ATI :: GLenum

gl_REG_20_ATI :: GLenum

gl_REG_21_ATI :: GLenum

gl_REG_22_ATI :: GLenum

gl_REG_23_ATI :: GLenum

gl_REG_24_ATI :: GLenum

gl_REG_25_ATI :: GLenum

gl_REG_26_ATI :: GLenum

gl_REG_27_ATI :: GLenum

gl_REG_28_ATI :: GLenum

gl_REG_29_ATI :: GLenum

gl_REG_2_ATI :: GLenum

gl_REG_30_ATI :: GLenum

gl_REG_31_ATI :: GLenum

gl_REG_3_ATI :: GLenum

gl_REG_4_ATI :: GLenum

gl_REG_5_ATI :: GLenum

gl_REG_6_ATI :: GLenum

gl_REG_7_ATI :: GLenum

gl_REG_8_ATI :: GLenum

gl_REG_9_ATI :: GLenum

gl_SATURATE_BIT_ATI :: GLbitfield

gl_SECONDARY_INTERPOLATOR_ATI :: GLenum

gl_SUB_ATI :: GLenum

gl_SWIZZLE_STQ_ATI :: GLenum

gl_SWIZZLE_STQ_DQ_ATI :: GLenum

gl_SWIZZLE_STRQ_ATI :: GLenum

gl_SWIZZLE_STRQ_DQ_ATI :: GLenum

gl_SWIZZLE_STR_ATI :: GLenum

gl_SWIZZLE_STR_DR_ATI :: GLenum

# Functions

glAlphaFragmentOp1ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> m () |

glAlphaFragmentOp2ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> m () |

glAlphaFragmentOp3ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> GLuint | `arg3`.
-> GLuint | `arg3Rep`.
-> GLuint | `arg3Mod`.
-> m () |

glBeginFragmentShaderATI :: MonadIO m => m ()

glBindFragmentShaderATI

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glColorFragmentOp1ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> m () |

glColorFragmentOp2ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> m () |

glColorFragmentOp3ATI

Arguments

:: MonadIO m |
=> GLenum | `op` of type `FragmentOpATI`.
-> GLuint | `dst`.
-> GLuint | `dstMask`.
-> GLuint | `dstMod`.
-> GLuint | `arg1`.
-> GLuint | `arg1Rep`.
-> GLuint | `arg1Mod`.
-> GLuint | `arg2`.
-> GLuint | `arg2Rep`.
-> GLuint | `arg2Mod`.
-> GLuint | `arg3`.
-> GLuint | `arg3Rep`.
-> GLuint | `arg3Mod`.
-> m () |

glDeleteFragmentShaderATI

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glEndFragmentShaderATI :: MonadIO m => m ()

glGenFragmentShadersATI

Arguments

:: MonadIO m |
=> GLuint | `range`.
-> m GLuint |

glPassTexCoordATI

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> GLuint | `coord`.
-> GLenum | `swizzle` of type `SwizzleOpATI`.
-> m () |

glSampleMapATI

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> GLuint | `interp`.
-> GLenum | `swizzle` of type `SwizzleOpATI`.
-> m () |

glSetFragmentShaderConstantATI

Arguments

:: MonadIO m |
=> GLuint | `dst`.
-> Ptr GLfloat | `value` pointing to `4` elements of type `GLfloat`.
-> m () |